#
# Defined server configuration for the Windows Apache installation.
#

# The name the server uses to identify itself.
Define SERVER_NAME ""

#
# User-editable variables.
#

# Tracks whether the web server has been configured yet.
UnDefine SERVER_CONFIGURED

# User-defined server host name as input to the generated SERVER_NAME.
Define CUSTOM_SERVER_HOST ""

# Which interface to listen on.
Define LISTEN_ADDRESS 127.0.0.1

# Whether or not to use HTTPS. UnDefine this variable to use HTTP.
UnDefine TLS_ENABLED

# Whether to set the Strict-Transport-Security header for HTTPS connections.
UnDefine TLS_STRICT_TRANSPORT_SECURITY_ENABLED

# A 2 year max age is recommended for the Strict-Transport-Security header.
Define TLS_STRICT_TRANSPORT_SECURITY_MAX_AGE 63072000

# Whether to forward HTTP requests to HTTPS when HTTPS is enabled.
UnDefine TLS_FORWARD

# The port to use for HTTPS.
Define HTTPS_PORT ""

# The name of the certificate (.cer) and private key (.key) to use for HTTPS
# communication.
Define TLS_CERTIFICATE_PATH ""
Define TLS_KEY_PATH ""

# Whether or not to enable OCSP stapling. Requires the certificate include
# OCSP information and the certificate chain.
UnDefine TLS_OCSP_STAPLING_ENABLED

# The port to use for HTTP (if TLS_ENABLED is false).
Define HTTP_PORT ""